"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEntry = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const getEntry = (mooli) => {
    let entry = mooli.getPackageField('main');
    if (entry) {
        entry = path_1.default.resolve(entry);
    }
    if (entry && fs_1.default.existsSync(entry)) {
        return entry;
    }
    return {
        'desktop': [path_1.default.join(__dirname, '../../site/desktop')],
        'mobile': [path_1.default.join(__dirname, '../../site/mobile')],
    };
};
exports.getEntry = getEntry;
